Widget
Operations tagged Widget in the public API.
/v1/chatbots/{chatbotId}/widget
Settings widget
Settings widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:read
curl -X GET https://api.agentency.com/v1/chatbots/{chatbotId}/widget \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/chatbots/{chatbotId}/widget
Update settings widget
Update settings widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:write
curl -X PUT https://api.agentency.com/v1/chatbots/{chatbotId}/widget \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"settings": "settings"
}'/v1/chatbots/{chatbotId}/widget/domains
Domains widget
Domains widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:read
curl -X GET https://api.agentency.com/v1/chatbots/{chatbotId}/widget/domains \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/chatbots/{chatbotId}/widget/domains
Replace domains widget
Replace domains widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:write
curl -X PUT https://api.agentency.com/v1/chatbots/{chatbotId}/widget/domains \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"allowed_domains": []
}'/v1/chatbots/{chatbotId}/widget/domains
Add domain widget
Add domain widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:write
curl -X POST https://api.agentency.com/v1/chatbots/{chatbotId}/widget/domains \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"domain": "domain"
}'/v1/chatbots/{chatbotId}/widget/installations
Installations widget
Installations widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:read
curl -X GET https://api.agentency.com/v1/chatbots/{chatbotId}/widget/installations \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/chatbots/{chatbotId}/widget/usage
Usage widget
Usage widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:read
curl -X GET https://api.agentency.com/v1/chatbots/{chatbotId}/widget/usage \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/chatbots/{chatbotId}/widget/domains/{host}
Remove domain widget
Remove domain widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:write
curl -X DELETE https://api.agentency.com/v1/chatbots/{chatbotId}/widget/domains/{host} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/plugins/install
Install plugin widget
Install plugin widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:write
curl -X POST https://api.agentency.com/v1/plugins/install \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"chatbot_id": 1,
"platform": "platform",
"site_url": "site_url",
"plugin_version": "plugin_version"
}'/v1/plugins/heartbeat
Heartbeat plugin widget
Heartbeat plugin widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:write
curl -X POST https://api.agentency.com/v1/plugins/heartbeat \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"installation_id": 1,
"plugin_version": "plugin_version"
}'/v1/plugins/{id}
Uninstall plugin widget
Uninstall plugin widget. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopewidget:write
curl -X DELETE https://api.agentency.com/v1/plugins/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"